unit Main;

interface

uses
  Forms, Dialogs, Base, StdCtrls, SysUtils, Classes, Controls, ExtCtrls, UODBC0100;

type
  TMainForm = class(TBaseForm)
    Button1: TButton;
    Edit1: TEdit;
    Memo1: TMemo;
    Button2: TButton;
    Button3: TButton;
    Edit2: TEdit;
    Button4: TButton;
    Edit3: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private

  public
	procedure	DroppedAction(); override;
  end;

var
  MainForm: TMainForm;

implementation

uses
	iUtils;

{$R *.dfm}

procedure	TMainForm.DroppedAction();
begin
//	ShowMessage('t@ChbvꂽƂ̏B');
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
	Database := TODBCdatabase.Create(Memo1.Lines);
    Database.Open(Edit1.Text);
end;

procedure TMainForm.Button2Click(Sender: TObject);
begin
    Database.Close();
end;

procedure TMainForm.Button3Click(Sender: TObject);
begin
	with TODBCRecordSet.Create(Database) do
    begin
        Execute(Edit2.Text);
        Free;
    end;
end;

procedure TMainForm.Button4Click(Sender: TObject);
var
	i: integer;
    Res: string;
begin
	with TODBCRecordSet.Create(Database) do
    begin
        if Open(Edit3.Text) then
        begin
            i := 0;
        	MoveFirst;
			while not EOF do
            begin
				Res := ToString(i);
//				Res := Format('CODE:%-10s NAME:%-10s', [FieldValue(0), FieldValue(1)]);
                Memo1.Lines.Add(Res);
	        	MoveNext;
                Inc(i);
            end;
        end;
        Free;
    end;
end;

end.
